
;i(Greg Dietsche) saw these equates in another version of tetris... 
;and thought that they might come
;in handy for someone trying to understand the link code...
LinkDelay       equ  500

; link codes (codes are 8bits, in format 0000xxxx)
; the 4 lower bytes are used for value
LinkAddLines    equ  $F0
LinkUpdateBarH  equ  $E0
LinkUpdateBar   equ  $D0
LinkWin         equ  $C0
LinkAbort       equ  $B0
LinkOldConn     equ  $AA
LinkNewConn     equ  $AB
LinkReset       equ  $10

GetKey MACRO
 move.w  \1,($600018)
 nop
 nop
 nop
 nop
 nop
 nop
 nop
 nop
 move.b  ($60001B),\2
 ENDM

WriteStr_ MACRO
 move.w  \3,-(a7)
 pea	 \4
 move.w  \2,-(a7)
 move.w  \1,-(a7)
 move.l ($C8),a0
 move.l DrawStrXY*4(a0),a0
 jsr (a0)
 lea 10(a7),a7
 ENDM

WriteStrA_ MACRO
 move.w  \3,-(a7)
 move.l  \4,-(a7)
 move.w  \2,-(a7)
 move.w  \1,-(a7)
 move.l ($C8),a0
 move.l DrawStrXY*4(a0),a0
 jsr (a0)
 lea 10(a7),a7
 ENDM

SetFont_ MACRO
 move.w  \1,-(a7)
 move.l ($C8),a0
 move.l FontSetSys*4(a0),a0
 jsr (a0)
 lea 2(a7),a7
 ENDM

; clr.w   (doorsos::kb_vars+$1C)
CLEAR_KEYPRESS_QUEUE MACRO
 move.l a0,-(sp)
 move.l kb_vars(pc),a0
 clr.w $1c(a0)
 move.l (sp)+,a0 
 ENDM

; tst.w   (doorsos::kb_vars+$1C)
IS_KEY_PRESSED MACRO
	;a0 is destroyed
 move.l kb_vars(pc),a0
 tst.w $1c(a0)
 ENDM

; cmp.w   #264,(doorsos::kb_vars+$1E)
TEST_KEY MACRO
	;a0 is destroyed
 move.l kb_vars(pc),a0
 cmp.w \1,$1e(a0)
 ENDM
 
HALT MACRO
\hlt:
 bra \hlt
 ENDM
 